<?php
/*
Plugin Name: Grid Builder X
Plugin URI: https://codecanyon.net/user/96factory
Description: GridBuilder X allows you to create a grid of posts, pages, custom post types, and custom taxonomies with frontend filtering. Unlock Limitless Possibilities!
Author: 96factory
Author URI: https://codecanyon.net/user/96factory
Version: 1.0.0
Text Domain: gbx
License: GPLv3
License URI: https://www.gnu.org/licenses/gpl-3.0.en.html
*/

// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit;
}

// Define plugin constants
define('GBX_VERSION', '1.0.0');
define('GBX_PLUGIN_DIR', plugin_dir_path(__FILE__));
define('GBX_PLUGIN_URL', plugin_dir_url(__FILE__));
define('GBX_PLUGIN_FILE', __FILE__);
define('GBX_PLUIGIN_FOLDER_NAME', 'grid-builder-x');

define('GBX_PLUGIN_BASENAME', plugin_basename(__FILE__));
define('GBX_PLUGIN_NAME', trim(dirname(GBX_PLUGIN_BASENAME), '/'));
define('GBX_PLUGIN_DIRNAME', dirname(GBX_PLUGIN_BASENAME));

define('GBX_TEXT_DOMAIN', 'gbx');
define('GBX_MINIMUM_PHP_VERSION', '5.6');
define('GBX_MINIMUM_ELEMENTOR_VERSION', '3.11.0');

// Include the main Grid Builder X class.
if (!class_exists('Grid_Builder_X')) {
    include GBX_PLUGIN_DIR . 'class-grid-builder-x.php';
}

// Instantiate Grid Builder X.
GRIDBUILDERX\Builder::instance();
