<?php

if (!defined('ABSPATH')) {
    exit;
}

$this->start_controls_section(
    'gbx_grid_configure_section',
    [
        'label' => esc_html__('Grid Configuration', 'gbx'),
    ]
);



// display widget id yes or no
$this->add_control(
    'display_widget_id',
    [
        'label' => esc_html__('Display Widget ID?', 'gbx'),
        'type' => \Elementor\Controls_Manager::SWITCHER,
        'label_on' => esc_html__('Yes', 'gbx'),
        'label_off' => esc_html__('No', 'gbx'),
        'return_value' => 'yes',
        'default' => 'no',
        'description' => esc_html__('Display widget id in frontend. This ID is used to connect the pagination and front end filter. Can be disabled after copying the widget ID', 'gbx'),
    ]
);




// enable schema?
$this->add_control(
    'enable_schema',
    [
        'label' => esc_html__('Enable Schema?', 'gbx'),
        'type' => \Elementor\Controls_Manager::SWITCHER,
        'label_on' => esc_html__('Yes', 'gbx'),
        'label_off' => esc_html__('No', 'gbx'),
        'return_value' => 'yes',
        'default' => 'no',
        'description' => esc_html__('Advanced Setting : Enable schema for this block', 'gbx'),
    ]
);


//end of section
$this->end_controls_section();
